/* import fonts */
@import url("https://fonts.googleapis.com/css2?family=Agbalumo&family=Winky+Sans:ital,wght@0,300..900;1,300..900&display=swap");

/* themes */
[data-theme="cafe"] {
    --background: url(/assets/background_cafe.png);
    --SC_Background: #f7f4ef;
    --SC_Border: #b78b5e;
    --SC_Links: #d98b99;
    --SC_Accent: #eadccc;
    --SC_Accent2: #e2bdc4;
}

/* main body */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background: var(--background);
    font-family: "Winky Sans", sans-serif;
    overflow-x: hidden;
}

/* site wide stylings */
p {
    line-height: 1rem;
    padding: 0.313rem 0rem;
}

br {
    line-height: 1em;
}

a {
    color: var(--SC_Links);
    transition: color 0.5s;
}

a:hover {
    color: var(--SC_Accent);
}

h1,
h2,
h3 {
    font-family: "Agbalumo", serif;
    width: 100%;
    padding: 0.1rem;
    text-align: center;
}

h1 {
    font-size: 1.87rem;
}

hr {
    margin-top: 10px;
    margin-bottom: 10px;
    color: var(--SC_Accent);
}

/*overlay images*/
#overlay_images {
    z-index: 4;
    position: absolute;
}

.overlay {
    width: 200px;
}

.ol_1 {
    position: relative;
    top: -97px;
    left: -115px;
}

.ol_2 {
    position: relative;
    top: 176px;
    left: 621px;
}

.ol_3 {
    position: relative;
    top: 373px;
    left: -520px;
    width: 135px;
}

.ol_4 {
    position: relative;
    top: 666px;
    left: 305px;
}

.ol_5 {
    position: relative;
    top: 1023px;
    left: -877px;
}

.ol_6 {
    position: relative;
    top: 1309px;
    left: -100px;
    width: 142px;
}

/* main container */
#main_container {
    margin-top: 2.5rem;
    margin-left: auto !important;
    margin-right: auto !important;
    margin-bottom: 2.5rem;
    width: 56.25rem;
    height: auto;
    border: 0.25rem solid var(--SC_Border);
    display: flex;
    flex-direction: column;
    border-radius: 10px;
}

#header_image {
    width: 100%;
    height: 100%;
    border-radius: 10px 10px 0px 0px;
}

#site_container {
    background-color: var(--SC_Background);
    display: grid;
    grid-template: 1fr 50px / 12.5rem 1fr;
}

/* left side and navigation */
#theLeft {
    display: grid;
    grid-template: min-content min-content / 1fr;
    grid-auto-rows: min-content;
    gap: 10px;
    margin-top: 10px;
    padding: 0.625rem;
    grid-area: 1 / 1 / 1 / 1;
}

#Navigation {
    display: flex;
    flex-direction: column;
    row-gap: 0.313rem;
    z-index: 5;
    height: min-content;
}

.navLinks a,
#aboutLink {
    display: block;
    text-decoration: none;
    padding: 0.188rem 0.625rem;
    background-color: var(--SC_Accent);
    margin-bottom: 0.313rem;
    border-radius: 3.125rem;
    transition: background-color 0.5s;
}

.navLinks a:hover,
#aboutLink:hover {
    background-color: var(--SC_Accent2);
}

#Stamps .sContent {
    height: 200px;
    display: inline-block;
    text-align: center;
    overflow-y: scroll;
}

#Stamps .sContent img {
    width: 75px;
}

/* right side and main content */
#theRight {
    margin-top: 10px;
    display: grid;
    grid-template: min-content / 1fr 1fr 1fr;
    grid-row-gap: 0.625rem;
    grid-column-gap: 0.625rem;
    grid-auto-rows: min-content;
    padding: 0.625rem;
    grid-area: 1 / 2 / 1 / 2;
}

/* content class stylings */
.scStyle {
    border: 0.125rem dotted var(--SC_Border);
    border-radius: 0.625rem;
    flex: 1;
}

.sTitle,
.sContent {
    padding: 0.25rem 0.625rem;
}

.sTitle {
    background-color: var(--SC_Accent2);
    border-radius: 0.625rem 0.625rem 0rem 0rem;
}

.sContent {
    overflow-x: hidden;
}

/* grid container locations */
#Welcome {
    grid-area: 1 / 1 / 1 / span 2;
}

#Webmaster {
    grid-area: 1 / 3 / 1 / span 1;
}

#Updates {
    grid-area: 2 / 2 / span 2 / span 2;
}

#StatusCafe {
    grid-area: 2 / 1 / 2 / span 1;
}

#Blinkies {
    grid-area: 3 / 1 / 3 / span 1;
}

#FPage {
    grid-area: 4 / 1 / span 2 / span 2;
}

#Fanlistings {
    grid-area: 4 / 3 / 4 / span 1;
}

#Mutuals {
    grid-area: 5 / 3 / 5 / span 1;
}

/* inner container stylings */
/* multi */
#Mutuals .sContent,
#Blinkies .sContent,
#Fanlistings .sContent {
    text-align: center;
    height: 150px;
}

/*Welcome*/
#Welcome .sContent,
#Webmaster .sContent {
    height: 271px;
}
/* Webmaster */
#Webmaster {
    text-align: center;
}

#webIMG {
    width: 195px;
}

#webBanner {
    object-fit: contain;
    max-width: 100%;
    height: 27px;
    margin-top: 1%;
}

/* Updates */
#containUpdates {
    height: 345px;
    overflow-y: scroll;
    overflow-x: hidden;
}

/* Blinkies */
#Blinkie_Link{
    width: 100%;
    border-radius: 10px;
    padding: 10px;
}

/* Status */
#StatusCafeContent {
    max-height: 116px;
    overflow-y: auto;
}

#statuscafe-username {
    text-decoration: none;
}

/*Featured Page*/
#FPage .sContent {
    text-align: center;
    height: 366px;
}

#fImg {
    object-fit: contain;
    text-align: center;
}

/* Mutuals */
.mutual img {
    width: 88px;
    height: 31px;
}

/*footer*/
#footer {
    grid-area: 2 / 1 / 2 / span 2;
    width: 100%;
    text-align: center;
    margin-top: 20px;
}

#footer a {
    text-decoration: none;
}

.disclaimer p {
    font-size: 0.625rem;
}

/*media screen*/
@media only screen and (max-width: 1000px) {
    #theLeft {
        grid-template: 1fr / 1fr;
    }

    .ol_6 {
        visibility: hidden;
    }
}

@media only screen and (max-width: 900px) {
    #overlay_images {
        visibility: collapse;
    }

    #main_container {
        display: flex;
        flex-direction: column;
        width: 95%;
    }
    #site_container {
        display: flex;
        flex-direction: column;
    }

    #theLeft {
        display: flex;
        flex-direction: column;
        flex: 50%;
    }

    #Stamps {
        visibility: collapse;
    }

    #Welcome .sContent,
    #Webmaster .sContent,
    #Blinkies .sContent,
    #FPage .sContent,
    #Mutuals .sContent,
    #Fanlistings .sContent {
        height: min-content !important;
    }

    #fImg {
        width: 100%;
    }
}

/* media screen */
@media only screen and (max-width: 700px) {
    #theRight {
        display: flex;
        flex-direction: column;
    }

    .scStyle {
        width: 100%;
    }
}


/*scrollbar*/
::-webkit-scrollbar {
    width: 3px;
}

::-webkit-scrollbar-track {
    display: none;
}

::-webkit-scrollbar-thumb {
    background: var(--SC_Border);
}

